## Purpose

Thunar-Encryption-Plugin (aka GCryFolder) is a software that integrates the management 
of encrypted folders within file managers using a contextual menu and a GTK 
GUI for password input. It supports encrypted filesystems like [CryFS](https://www.cryfs.org/) 
and [EncFS](https://github.com/vgough/encfs).

It includes a Thunar ([XFCE](https://xfce.org/)) extension and a desktop file 
matching `inode/directory` to display a contextual menu in other file managers.

It is written in BASH and in C language for the GTK password prompt GUI and 
the Thunar extension.


## License

Copyright Frank ENDRES - 2022-08-15 - &lt;frankendres@tuxfamily.org&gt; (disabled; use &lt;first@last.fr&gt;).

This software is governed by the [CeCILL license](http://cecill.info/licences/Licence_CeCILL_V2.1-en.html) 
under French law, compatible with the GPL (General Public License).


## My other projects

- [Live-System](https://live-system.tuxfamily.org): unintrusive live DVD / USB / NFS
build and install tool written for Arch, Debian / Ubuntu and Slackware64 Linux
- [SGSearch](https://sgsearch.tuxfamily.org): Minimalist file search (name / content) 
utility, *with Thunar extension*
- [GReadyMedia](https://greadymedia.tuxfamily.org): GTK frontend to setup 
a ReadyMedia (formerly MiniDLNA) UPnp service
- [WebMinifier](https://webminifier.tuxfamily.org): minimalist C command line 
utility to minify HTML & CSS files, without any dependency
